// AnalogVideoEncoderTestDlg.cpp : implementation file
//

#include "stdafx.h"
#include "tulsa sample app.h"
#include "AnalogVideoEncoderTestDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAnalogVideoEncoderTestDlg dialog


CAnalogVideoEncoderTestDlg::CAnalogVideoEncoderTestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAnalogVideoEncoderTestDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAnalogVideoEncoderTestDlg)
	m_EnableTestMode = FALSE;
	m_EnableTestPattern = FALSE;
	//}}AFX_DATA_INIT

	m_pTest = NULL;
	m_Pattern = 0;
}


void CAnalogVideoEncoderTestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAnalogVideoEncoderTestDlg)
	DDX_Control(pDX, IDC_TEST_PATTERNS, m_TestPatternList);
	DDX_Check(pDX, IDC_ENABLE_TEST_MODE, m_EnableTestMode);
	DDX_Check(pDX, IDC_ENABLE_TEST_PATTERN, m_EnableTestPattern);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAnalogVideoEncoderTestDlg, CDialog)
	//{{AFX_MSG_MAP(CAnalogVideoEncoderTestDlg)
	ON_CBN_SELENDOK(IDC_TEST_PATTERNS, OnSelendokTestPatterns)
	ON_BN_CLICKED(IDC_ENABLE_TEST_MODE, OnEnableTestMode)
	ON_BN_CLICKED(IDC_ENABLE_TEST_PATTERN, OnEnableTestPattern)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAnalogVideoEncoderTestDlg message handlers

void CAnalogVideoEncoderTestDlg::OnSelendokTestPatterns() 
{
	UpdateData(TRUE);
	m_Pattern = m_TestPatternList.GetCurSel();
	m_pTest->EnableTestPattern(m_EnableTestPattern, m_Pattern);
}

void CAnalogVideoEncoderTestDlg::OnEnableTestMode() 
{
	UpdateData(TRUE);
	m_pTest->EnableVideoTestMode(m_EnableTestMode);
}

void CAnalogVideoEncoderTestDlg::OnEnableTestPattern() 
{
	UpdateData(TRUE);
	m_pTest->EnableTestPattern(m_EnableTestPattern, m_Pattern);
}

BOOL CAnalogVideoEncoderTestDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_Pattern = m_TestPatternList.SetCurSel(0);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
